package librerias;

import android.content.Context;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.TextView;

import com.example.acer.agendita_mysql_c.R;

public class ListaAdapter extends ArrayAdapter<Datos> {
    public ListaAdapter(Context context) {
        super(context, R.layout.elementos_lista,R.id.txtNombreLista);
    }
    public View getView(int position, View convertView, ViewGroup parent) {
        View view = super.getView(position, convertView, parent);
        TextView txtNombre= (TextView) view.findViewById(R.id.txtNombreLista);
        TextView txtApellido=(TextView) view.findViewById(R.id.txtApellidosLista);
        TextView txtTelefono=(TextView) view.findViewById(R.id.txtTelefonoLista);
        Datos prod = getItem(position);
        txtNombre.setText(prod.getNombre());
        txtApellido.setText(prod.getApellido());
        txtTelefono.setText(prod.getTelefono());
        return view;
    }
}
